Bug 609284 - Performance regression with xorg-x11-server-Xorg-1.8.0-17.fc13.x86_64 on ATI X1600 (RV530)
Performance regression with xorg-x11-server-Xorg-1.8.0-17.fc13.x86_64 on ATI ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 16:34 EDT by John Chivall
Modified: 2018-04-11 06:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log from session with updated (broken) package (107.37 KB, text/plain)
2010-06-29 16:34 EDT, John Chivall
no flags Details
Screen capture of graphics corruption in Gnome session (1.19 MB, image/png)
2010-06-30 14:44 EDT, John Chivall
no flags Details
output from dmesg with drm.debug=0x04 (48.37 KB, text/plain)
2010-06-30 14:45 EDT, John Chivall
no flags Details
/var/log/messages with drm.debug=0x04 (442.76 KB, text/plain)
2010-06-30 14:46 EDT, John Chivall
no flags Details
xorg.conf (1.38 KB, text/plain)
2010-06-30 14:46 EDT, John Chivall
no flags Details
Xorg.0.log (106.73 KB, text/plain)
2010-06-30 14:47 EDT, John Chivall
no flags Details

  None (edit)
Description John Chivall 2010-06-29 16:34:39 EDT
Created attachment 427789 [details]
xorg.log from session with updated (broken) package

Description of problem:

Latest xorg upgrade caused very poor performance, including tearing of windows, slow updates of large screen areas, graphics corruption of unfocussed windows. Downgrading to 1.8.0-12 fixed the problem.

Version-Release number of selected component (if applicable):

1.8.0-17.fc13.x86_64

How reproducible:

Rebooted system a couple of times just to check - GDM login screen is affected as is Gnome session.

Steps to Reproduce:
1. Update xorg-x11-xserver-Xorg to 1.8.0-17 via yum update
2. Restart X
3. Observe poor graphics performance
  
Actual results:

Graphics corruption and slow redraws.

Expected results:

X ought to work just as well as before, if not even better

Additional info:
Comment 1 Matěj Cepl 2010-06-29 19:19:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 John Chivall 2010-06-30 14:44:44 EDT
Created attachment 428065 [details]
Screen capture of graphics corruption in Gnome session
Comment 3 John Chivall 2010-06-30 14:45:37 EDT
Created attachment 428066 [details]
output from dmesg with drm.debug=0x04
Comment 4 John Chivall 2010-06-30 14:46:13 EDT
Created attachment 428067 [details]
/var/log/messages with drm.debug=0x04
Comment 5 John Chivall 2010-06-30 14:46:39 EDT
Created attachment 428068 [details]
xorg.conf
Comment 6 John Chivall 2010-06-30 14:47:51 EDT
Created attachment 428069 [details]
Xorg.0.log
Comment 7 John Chivall 2010-06-30 14:52:42 EDT
I yum updated to xorg-x11-server-Xorg 1.8.0-17, then rebooted adding drm.debug=0x04 to the kernel line. Once I got to GDM I switched to a VT and got the files requested. I've also attached a screenshot of the graphics corruption in a gnome session.
Comment 8 John Chivall 2010-07-24 05:24:47 EDT
This is still an issue with latest xorg-X11-server-Xorg 1.8.2-2.
Comment 9 John Chivall 2010-12-08 14:35:57 EST
Works fine in F14 / Xorg 1.9
Comment 10 Bug Zapper 2011-06-01 11:13:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 15:09:38 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.